QCA::CertificateCollection Class Reference
QCA user API

`#include <QtCrypto>`

## Public Member Functions

void | addCertificate (const Certificate &cert)
void | addCRL (const CRL &crl)
void | append (const CertificateCollection &other)
| CertificateCollection ()
| CertificateCollection (const CertificateCollection &from)
QList< Certificate > | certificates () const
QList< CRL > | crls () const
CertificateCollection | operator+ (const CertificateCollection &other) const
CertificateCollection & | operator+= (const CertificateCollection &other)
CertificateCollection & | operator= (const CertificateCollection &from)
bool | toFlatTextFile (const QString &fileName)
bool | toPKCS7File (const QString &fileName, const QString &provider=QString())

## Static Public Member Functions

static bool | canUsePKCS7 (const QString &provider=QString())
static CertificateCollection | fromFlatTextFile (const QString &fileName, ConvertResult *result=nullptr, const QString &provider=QString())
static CertificateCollection | fromPKCS7File (const QString &fileName, ConvertResult *result=nullptr, const QString &provider=QString())

## Detailed Description

Bundle of Certificates and CRLs.

CertificateCollection provides a bundle of Certificates and Certificate Revocation Lists (CRLs), not necessarily related.

See also
  QCA::CertificateChain for a representation of a chain of Certificates related by signatures.

Examples
  certtest.cpp.

## Constructor & Destructor Documentation

## CertificateCollection() [1/2]

QCA::CertificateCollection::CertificateCollection | ( |  | ) |

Create an empty Certificate / CRL collection.

Referenced by append(), CertificateCollection(), fromFlatTextFile(), operator+(), operator+=(), operator=(), and toPKCS7File().

## CertificateCollection() [2/2]

QCA::CertificateCollection::CertificateCollection | ( | const CertificateCollection & | from | ) |

Standard copy constructor.

Parameters

  from | the CertificateCollection to copy from

References CertificateCollection().

## Member Function Documentation

## operator=()

CertificateCollection & QCA::CertificateCollection::operator= | ( | const CertificateCollection & | from | ) |

Standard assignment operator.

Parameters

  from | the CertificateCollection to copy from

References CertificateCollection().

## addCertificate()

void QCA::CertificateCollection::addCertificate | ( | const Certificate & | cert | ) |

Append a Certificate to this collection.

Parameters

  cert | the Certificate to add to this CertificateCollection

Examples
  ssltest.cpp.

## addCRL()

void QCA::CertificateCollection::addCRL | ( | const CRL & | crl | ) |

Append a CRL to this collection.

Parameters

  crl | the certificate revokation list to add to this CertificateCollection

## certificates()

QList< Certificate > QCA::CertificateCollection::certificates | ( |  | ) | const

The Certificates in this collection.

Examples
  certtest.cpp.

## crls()

QList< CRL > QCA::CertificateCollection::crls | ( |  | ) | const

The CRLs in this collection.

## append()

void QCA::CertificateCollection::append | ( | const CertificateCollection & | other | ) |

Add another CertificateCollection to this collection.

Parameters

  other | the CertificateCollection to add to this collection

References CertificateCollection().

## operator+()

CertificateCollection QCA::CertificateCollection::operator+ | ( | const CertificateCollection & | other | ) | const

Add another CertificateCollection to this collection.

Parameters

  other | the CertificateCollection to add to this collection

References CertificateCollection().

## operator+=()

CertificateCollection & QCA::CertificateCollection::operator+= | ( | const CertificateCollection & | other | ) |

Add another CertificateCollection to this collection.

Parameters

  other | the CertificateCollection to add to this collection

References CertificateCollection().

## canUsePKCS7()

bool QCA::CertificateCollection::canUsePKCS7 | ( | const QString & | provider = QString() | ) |

static

test if the CertificateCollection can be imported and exported to PKCS#7 format

Parameters

  provider | the provider to use, if a specific provider is required

Returns
  true if the CertificateCollection can be imported and exported to PKCS#7 format

## toFlatTextFile()

bool QCA::CertificateCollection::toFlatTextFile | ( | const QString & | fileName | ) |

export the CertificateCollection to a plain text file

Parameters

  fileName | the name (and path, if required) to write the contents of the CertificateCollection to

Returns
  true if the export succeeded, otherwise false

## toPKCS7File()

bool QCA::CertificateCollection::toPKCS7File | ( | const QString & | fileName,
|  | const QString & | provider = QString() )

export the CertificateCollection to a PKCS#7 file

Parameters

  fileName | the name (and path, if required) to write the contents of the CertificateCollection to
  provider | the provider to use, if a specific provider is required

Returns
  true if the export succeeded, otherwise false

References CertificateCollection().

## fromFlatTextFile()

CertificateCollection QCA::CertificateCollection::fromFlatTextFile | ( | const QString & | fileName,
|  | ConvertResult * | result = nullptr,
|  | const QString & | provider = QString() )

static

import a CertificateCollection from a text file

Parameters

  fileName | the name (and path, if required) to read the certificate collection from
  result | a pointer to a ConvertResult, which if not-null will be set to the conversion status
  provider | the provider to use, if a specific provider is required

Returns
  the CertificateCollection corresponding to the contents of the file specified in fileName

Examples
  certtest.cpp.

References CertificateCollection().

## fromPKCS7File()

CertificateCollection QCA::CertificateCollection::fromPKCS7File | ( | const QString & | fileName,
|  | ConvertResult * | result = nullptr,
|  | const QString & | provider = QString() )

static

import a CertificateCollection from a PKCS#7 file

Parameters

  fileName | the name (and path, if required) to read the certificate collection from
  result | a pointer to a ConvertResult, which if not-null will be set to the conversion status
  provider | the provider to use, if a specific provider is required

Returns
  the CertificateCollection corresponding to the contents of the file specified in fileName

The documentation for this class was generated from the following file:

- qca_cert.h